%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% setups paths and reads the data
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% change the paths below to where the data is stored, and where the library
% is stored 
dataDir   = 'D:/Home/Courses/MachineLearningVision/Data/indoorCVPR_09/TenCategories';
convnetDir = 'D:/Home/Courses/MachineLearningVision/Code/Matlab/CodeFromOthers/matconvnet-1.0-beta16';

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
more off;
addpath(convnetDir);
addpath(strcat(convnetDir,'/examples'));
eval(char(strcat('run ',{' '}, convnetDir,'/matlab/vl_setupnn')));

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% reads data 
readDataForCNN;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Finds the mean image on the validation data
% subtracts it from all samples
normalizeData;


